Viviot.Api

<back to all web services

GetReservationLinkerState

BusinessReservations
Requires Authentication
Requires any of the roles:Admin, TenantAdmin
The following routes are available for this service:
GET/reservation/linker-stateGets the current Linker-side state of a reservation, for diagnosing access-code sync issues.
BaseReservation Parameters:
NameParameterData TypeRequiredDescription
ReservationIdformstringYesReservation Id (GUID)
BaseRequest Parameters:
NameParameterData TypeRequiredDescription
VersionformintegerNoApi version
LinkerStateResponse Parameters:
NameParameterData TypeRequiredDescription
DataformObjectNo
BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /reservation/linker-state HTTP/1.1 
Host: api.4spaces.io 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"data":{},"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}